<?php
require(dirname(dirname(dirname(__FILE__))).'/config/config.inc.php');
require_once(dirname(__FILE__).'/classes/Export.php');
$csv_path = _PS_MODULE_DIR_.'pswidget/csv/';
$config_exported_shops = Configuration::get('PSWIDGET_EXPORTED_SHOPS');
$debug_log = (Tools::getValue('debug_log') === 'true' ? true : false);
$shop_ids = array();
if ($config_exported_shops) {
	$shop_ids = explode("," , $config_exported_shops );
} else {
	$shops = Shop::getShops();
	foreach($shops as $shop){
		$shop_ids[] = $shop['id_shop'];
	}	
}
foreach($shop_ids as $shop_id){
	$export = new Export($shop_id, _PS_MODULE_DIR_.'pswidget/csv/');
	$export->exportProductsShop($shop_ids, $debug_log);
	array_shift($shop_ids);	
}