$(function() {
    $('#configuration_form').submit(function () {
        var required_fields = $('input[required=required]');
        var valid = true;

        required_fields.each(
            function(i){
                if($.trim($(this).val()) === ''){
                    alert($(this).attr('name') + ' is a required field');
                    valid = false;
                }
            }
        );
        if(!valid) return false;
    });

    $('input[type=radio][name=media_from_category]').change(function() {
        switchMediaFromCategory(this.value);
    });

    $('select[name=page_type]').change(function() {
        switchPageType(this.value);
    });

    $('select[name=show_in_category]').change(function() {
        switchCategoryShow(this.value);
    });

    switchMediaFromCategory($('input[type=radio][name=media_from_category]:checked').val());
    switchPageType($('select[name=page_type]').val());

    function switchMediaFromCategory(val){
        var page_type = $('select#page_type').val();
        if(val == 0 || (page_type == "category" || page_type == "product")){
            $(".media_categories_ids").closest('.form-group').hide();
        }else{
            if(val == 1 && (page_type == 'home' || page_type == "lookbook")){
                $(".media_categories_ids").closest('.form-group').show();
            }
        }
    }

    function switchPageType(val){
        if(val == "category"){
            $("select[name=show_in_category]").closest('.form-group').show();
            $("select[name=show_in_category]").prop( "disabled", false );
            $("input[name=identify_list_content]").closest('.form-group').show();
            $("input[name=identify_list_content]").prop( "disabled", false );
            $(".show_categories_ids").prop( "disabled", false );
            switchCategoryShow($("select[name=show_in_category]").val());
        }else{
            $("select[name=show_in_category]").closest('.form-group').hide();
            $(".show_categories_ids").closest('.form-group').hide();
            $("input[name=identify_list_content]").closest('.form-group').hide();
        }

        if(val == "product"){
           $('select#product_hook').parents('.form-group').show();
        }else{
           $('select#product_hook').parents('.form-group').hide();
        }
        switchMediaFromCategory($('input[type=radio][name=media_from_category]:checked').val());
    }

    function switchCategoryShow(val){
        if(val == 2){
            $(".show_categories_ids").closest('.form-group').show();
        }else{
            $(".show_categories_ids").closest('.form-group').hide();
        }
    }
});