
<div class="panel">
    <h3><i class="icon process-icon-export"></i> {l s='product export' mod='pswidget'}</h3>
    <form action="{$form_action|escape:'htmlall':'UTF-8'}" method="post">
        <div class="description_export" style="font-weight: bold; font-size: 14px; margin: 10px 0;">
            {l s='STEP 1 - Select the type of product identifier to be used in your catalog and widgets:' mod='pswidget'}   
        </div>

        {html_options name=product_id_type options=$product_id_types selected=$selected_id_type id="product_id_types"}

        <div class="description_export" style="font-weight: bold; font-size: 14px; margin: 10px 0;">
        {l s='STEP 2 - Choose the store/s for which the product catalog feed will be exported:' mod='pswidget'}   
        </div>
            {foreach $all_shops_active as $shop_active}
                <input type="checkbox" id="shop{$shop_active.id_shop}" name="shop[]" value="{$shop_active.id_shop}" {if in_array($shop_active.id_shop, $export_values)}checked{/if}> 
                <label style="position: relative;top: -2px;left: 5px;" for="shop{$shop_active.id_shop}">{$shop_active.name}</label>
                <div class="clearfix"></div>
            {/foreach} 
                <div class="description_export" style="font-weight: bold; font-size: 14px; margin: 10px 0;">
                {l s='STEP 3 - Click the "Export" button at the bottom right corner of this panel to export your product catalog in Photoslurp\'s format.' mod='pswidget'}
                </div>
            {if $all_files|@count gt 0 }
                <hr>
                <div class="description_export" style="font-weight: bold; font-size: 14px; margin: 10px 0;">
                {l s='STEP 4 - These are the currently exported product feed files URLs. Please communicate them to Photoslurp team.' mod='pswidget'}
                </div>
                {foreach $all_shops_active as $shop_active}
                    {if $all_files[$shop_active.id_shop]|@count gt 0}               
                       <div style="margin-bottom: 10px;">
                        {$shop_active.name} -> 
                        <a href="{$all_files[$shop_active.id_shop].url|escape:'htmlall':'UTF-8'}" download>{$all_files[$shop_active.id_shop].url}</a>
                       </div>
                    {/if}
                {/foreach}
            {/if}
        </p>
        <div class="panel-footer">

                <button type="submit" value="1" id="configuration_form_submit_btn" name="submitExport" class="btn btn-default pull-right">
                    <i class="process-icon-export"></i> {l s='Export ' mod='pswidget'}
                </button>

        </div>
    </form>
</div>